Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA
Class ORBSingleton

    java.lang.Object
      |
      +--org.omg.CORBA.ORB
            |
            +--org.omg.CORBA_2_3.ORB
                  |
                  +--org.openorb.CORBA.ORBSingleton

All Implemented Interfaces:
  org.apache.avalon.framework.logger.LogEnabled

Direct Known Subclasses:
  ORB

public class ORBSingleton
extends ORB
implements org.apache.avalon.framework.logger.LogEnabled

The ORB Singleton is a way to create TypeCode and Any. Any attempt to invoke any other ORB method shall raise the system exception NO_IMPLEMENT.

Version:
  $Revision: 1.12 $ $Date: 2002/07/16 11:17:13 $
Author:
  Chris Wood, Jerome Daniel

Constructor Summary
`ORBSingleton()` Use ORB.init() to get an instance.

Method Summary
`void` | `connect(Object obj)`
`TypeCode` | `create_abstract_interface_tc(java.lang.String id, java.lang.String name)` Create an abstract interface typecode
`TypeCode` | `create_alias_tc(java.lang.String id, java.lang.String name, TypeCode original_type)` Create an alias typecode
`Any` | `create_any()` Create an any
`TypeCode` | `create_array_tc(int length, TypeCode element_type)` Create an array typecode
`ContextList` | `create_context_list()`
`TypeCode` | `create_enum_tc(java.lang.String id, java.lang.String name, java.lang.String[] members)` Create an enum typecode
`Environment` | `create_environment()`
`ExceptionList` | `create_exception_list()`
`TypeCode` | `create_exception_tc(java.lang.String id, java.lang.String name, StructMember[] members)` Create an exception typecode
`TypeCode` | `create_fixed_tc(short digits, short scale)` Create a fixed typecode
`TypeCode` | `create_interface_tc(java.lang.String id, java.lang.String name)` Create an interfac typecode
`NVList` | `create_list(int count)`
`TypeCode` | `create_local_interface_tc(java.lang.String id, java.lang.String name)` Create a local interface typecode
`NamedValue` | `create_named_value(java.lang.String name, Any value, int flags)`
`TypeCode` | `create_native_tc(java.lang.String id, java.lang.String name)` Create a native typecode
`OutputStream` | `create_output_stream()`
`Policy` | `create_policy(int policy_type, Any val)`
`TypeCode` | `create_recursive_sequence_tc(int bound, int offset)` Deprecated. ???
`TypeCode` | `create_recursive_tc(java.lang.String id)` Create a recursive typecode
`TypeCode` | `create_sequence_tc(int bound, TypeCode element_type)` Create a sequence typecode
`TypeCode` | `create_string_tc(int bound)` Create a string typecode
`TypeCode` | `create_struct_tc(java.lang.String id, java.lang.String name, StructMember[] members)` Create a struct typecode
`TypeCode` | `create_union_tc(java.lang.String id, java.lang.String name, TypeCode discriminator_type, UnionMember[] members)` Create an union typecode
`TypeCode` | `create_value_box_tc(java.lang.String id, java.lang.String name, TypeCode boxed_type)` Create a value box typecode
`TypeCode` | `create_value_tc(java.lang.String id, java.lang.String name, short type_modifier, TypeCode concrete_base, ValueMember[] members)` Create a valuetype typecode
`TypeCode` | `create_wstring_tc(int bound)` Create a wstring typecode
`void` | `disconnect(Object obj)`
`void` | `enableLogging(org.apache.avalon.framework.logger.Logger logger)`
`Context` | `get_default_context()`
`Request` | `get_next_response()`
`TypeCode` | `get_primitive_tc(TCKind tcKind)` This operation returns a primitive typecode from the corresponding TC kind.
`boolean` | `get_service_information(short service_type, ServiceInformationHolder service_information)`
`org.apache.avalon.framework.logger.Logger` | `getLogger()`
`java.lang.String[]` | `list_initial_services()`
`ValueFactory` | `lookup_value_factory(java.lang.String id)`
`java.lang.String` | `object_to_string(Object obj)`
`void` | `perform_work()`
`boolean` | `poll_next_response()`
`ValueFactory` | `register_value_factory(java.lang.String id, ValueFactory factory)`
`Object` | `resolve_initial_references(java.lang.String object_name)`
`void` | `run()`
`void` | `send_multiple_requests_deferred(Request[] req)`
`void` | `send_multiple_requests_oneway(Request[] req)`
`void` | `set_delegate(java.lang.Object wrapper)`
`void` | `shutdown(boolean wait_for_completion)`
`Object` | `string_to_object(java.lang.String str)`
`void` | `unregister_value_factory(java.lang.String id)`
`boolean` | `work_pending()`

Methods inherited from class org.omg.CORBA_2_3.ORB
`get_value_def`

Methods inherited from class org.omg.CORBA.ORB
`create_operation_list, get_current, init, init, init`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ORBSingleton

    public ORBSingleton()

  Use ORB.init() to get an instance.

Method Detail

### enableLogging

    public void enableLogging(org.apache.avalon.framework.logger.Logger logger)

  Specified by:
    `enableLogging` in interface `org.apache.avalon.framework.logger.LogEnabled`

### getLogger

    public org.apache.avalon.framework.logger.Logger getLogger()

### list_initial_services

    public java.lang.String[] list_initial_services()

  Overrides:
    `list_initial_services` in class `ORB`

### resolve_initial_references

    public Object resolve_initial_references(java.lang.String object_name)
                                      throws InvalidName

  Overrides:
    `resolve_initial_references` in class `ORB`

### run

    public void run()

  Overrides:
    `run` in class `ORB`

### shutdown

    public void shutdown(boolean wait_for_completion)

  Overrides:
    `shutdown` in class `ORB`

### work_pending

    public boolean work_pending()

  Overrides:
    `work_pending` in class `ORB`

### perform_work

    public void perform_work()

  Overrides:
    `perform_work` in class `ORB`

### create_list

    public NVList create_list(int count)

  Overrides:
    `create_list` in class `ORB`

### create_named_value

    public NamedValue create_named_value(java.lang.String name,
                                         Any value,
                                         int flags)

  Overrides:
    `create_named_value` in class `ORB`

### create_exception_list

    public ExceptionList create_exception_list()

  Overrides:
    `create_exception_list` in class `ORB`

### create_context_list

    public ContextList create_context_list()

  Overrides:
    `create_context_list` in class `ORB`

### get_default_context

    public Context get_default_context()

  Overrides:
    `get_default_context` in class `ORB`

### create_environment

    public Environment create_environment()

  Overrides:
    `create_environment` in class `ORB`

### connect

    public void connect(Object obj)

  Overrides:
    `connect` in class `ORB`

### disconnect

    public void disconnect(Object obj)

  Overrides:
    `disconnect` in class `ORB`

### create_output_stream

    public OutputStream create_output_stream()

  Overrides:
    `create_output_stream` in class `ORB`

### object_to_string

    public java.lang.String object_to_string(Object obj)

  Overrides:
    `object_to_string` in class `ORB`

### string_to_object

    public Object string_to_object(java.lang.String str)

  Overrides:
    `string_to_object` in class `ORB`

### send_multiple_requests_oneway

    public void send_multiple_requests_oneway(Request[] req)

  Overrides:
    `send_multiple_requests_oneway` in class `ORB`

### send_multiple_requests_deferred

    public void send_multiple_requests_deferred(Request[] req)

  Overrides:
    `send_multiple_requests_deferred` in class `ORB`

### poll_next_response

    public boolean poll_next_response()

  Overrides:
    `poll_next_response` in class `ORB`

### get_next_response

    public Request get_next_response()

  Overrides:
    `get_next_response` in class `ORB`

### register_value_factory

    public ValueFactory register_value_factory(java.lang.String id,
                                               ValueFactory factory)

  Overrides:
    `register_value_factory` in class `ORB`

### unregister_value_factory

    public void unregister_value_factory(java.lang.String id)

  Overrides:
    `unregister_value_factory` in class `ORB`

### lookup_value_factory

    public ValueFactory lookup_value_factory(java.lang.String id)

  Overrides:
    `lookup_value_factory` in class `ORB`

### set_delegate

    public void set_delegate(java.lang.Object wrapper)

  Overrides:
    `set_delegate` in class `ORB`

### get_service_information

    public boolean get_service_information(short service_type,
                                           ServiceInformationHolder service_information)

  Overrides:
    `get_service_information` in class `ORB`

### create_policy

    public Policy create_policy(int policy_type,
                                Any val)
                         throws PolicyError

  Overrides:
    `create_policy` in class `ORB`

### create_struct_tc

    public TypeCode create_struct_tc(java.lang.String id,
                                     java.lang.String name,
                                     StructMember[] members)

  Create a struct typecode
  Overrides:
    `create_struct_tc` in class `ORB`

### create_union_tc

    public TypeCode create_union_tc(java.lang.String id,
                                    java.lang.String name,
                                    TypeCode discriminator_type,
                                    UnionMember[] members)

  Create an union typecode
  Overrides:
    `create_union_tc` in class `ORB`

### create_enum_tc

    public TypeCode create_enum_tc(java.lang.String id,
                                   java.lang.String name,
                                   java.lang.String[] members)

  Create an enum typecode
  Overrides:
    `create_enum_tc` in class `ORB`

### create_alias_tc

    public TypeCode create_alias_tc(java.lang.String id,
                                    java.lang.String name,
                                    TypeCode original_type)

  Create an alias typecode
  Overrides:
    `create_alias_tc` in class `ORB`

### create_exception_tc

    public TypeCode create_exception_tc(java.lang.String id,
                                        java.lang.String name,
                                        StructMember[] members)

  Create an exception typecode
  Overrides:
    `create_exception_tc` in class `ORB`

### create_interface_tc

    public TypeCode create_interface_tc(java.lang.String id,
                                        java.lang.String name)

  Create an interfac typecode
  Overrides:
    `create_interface_tc` in class `ORB`

### create_native_tc

    public TypeCode create_native_tc(java.lang.String id,
                                     java.lang.String name)

  Create a native typecode
  Overrides:
    `create_native_tc` in class `ORB`

### create_string_tc

    public TypeCode create_string_tc(int bound)

  Create a string typecode
  Overrides:
    `create_string_tc` in class `ORB`

### create_wstring_tc

    public TypeCode create_wstring_tc(int bound)

  Create a wstring typecode
  Overrides:
    `create_wstring_tc` in class `ORB`

### create_sequence_tc

    public TypeCode create_sequence_tc(int bound,
                                       TypeCode element_type)

  Create a sequence typecode
  Overrides:
    `create_sequence_tc` in class `ORB`

### create_recursive_sequence_tc

    public TypeCode create_recursive_sequence_tc(int bound,
                                                 int offset)

  Deprecated. ???

  Create a recursive sequence typecode
  Overrides:
    `create_recursive_sequence_tc` in class `ORB`

### create_recursive_tc

    public TypeCode create_recursive_tc(java.lang.String id)

  Create a recursive typecode
  Overrides:
    `create_recursive_tc` in class `ORB`

### create_array_tc

    public TypeCode create_array_tc(int length,
                                    TypeCode element_type)

  Create an array typecode
  Overrides:
    `create_array_tc` in class `ORB`

### create_fixed_tc

    public TypeCode create_fixed_tc(short digits,
                                    short scale)

  Create a fixed typecode
  Overrides:
    `create_fixed_tc` in class `ORB`

### create_value_tc

    public TypeCode create_value_tc(java.lang.String id,
                                    java.lang.String name,
                                    short type_modifier,
                                    TypeCode concrete_base,
                                    ValueMember[] members)

  Create a valuetype typecode
  Overrides:
    `create_value_tc` in class `ORB`

### create_value_box_tc

    public TypeCode create_value_box_tc(java.lang.String id,
                                        java.lang.String name,
                                        TypeCode boxed_type)

  Create a value box typecode
  Overrides:
    `create_value_box_tc` in class `ORB`

### create_abstract_interface_tc

    public TypeCode create_abstract_interface_tc(java.lang.String id,
                                                 java.lang.String name)

  Create an abstract interface typecode
  Overrides:
    `create_abstract_interface_tc` in class `ORB`

### create_local_interface_tc

    public TypeCode create_local_interface_tc(java.lang.String id,
                                              java.lang.String name)

  Create a local interface typecode

### get_primitive_tc

    public TypeCode get_primitive_tc(TCKind tcKind)

  This operation returns a primitive typecode from the corresponding TC kind.
  Overrides:
    `get_primitive_tc` in class `ORB`

### create_any

    public Any create_any()

  Create an any
  Overrides:
    `create_any` in class `ORB`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD